---
sidebar_position: 1
---

# ColumnStructure

`Object`

This defines a single column object used by [Structure](../classes/structure).

## Example structure

```js
{
    Field: "Column name",
    Type: "Column type",
    Null: "YES",
    Key: "PRI",
    Default: "Some default value",
    Extra: ""
}
```

## Properties

### .Field
&rarr; __String__

The column name.

***

### .Type
&rarr; __String__

The column type.

***

### .Null
&rarr; __Enum__ &rarr; `YES`/`NO`

Whether the column allows null-values.

***

### .Key
&rarr; __Enum__ &rarr; ` `/`PRI`/`MUL`/`UNI`

Key-Values for the table.

- ` `(Empty) = None
- `PRI` = Primary
- `MUL` = Indexed
- `UNI` = Unique

***

### .Default
&rarr; __String__ / __null__

Default value for a new row.

***

### .Extra
&rarr; __Enum__ &rarr; ` `/`auto_increment`

Extra values for the table.

- ` `(Empty) = None
- `auto_increment` = Primary key will be incremented on new data

***


